<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [scriptKill](./bitburner.ns.scriptkill.md)

## NS.scriptKill() method

Kill all scripts with a filename.

<b>Signature:</b>

```typescript
scriptKill(script: string, host: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  script | string | Filename of script to kill. This is case-sensitive. |
|  host | string | Host of target server. |

<b>Returns:</b>

boolean

true if one or more scripts were successfully killed, and false if none were.

## Remarks

RAM cost: 1 GB

Kills all scripts with the specified filename on the target server specified by hostname, regardless of arguments.

